/*
 * $Id: zearch.h,v 1.2 2002/08/29 15:56:42 bruce Exp $
 *
 * $Log: zearch.h,v $
 * Revision 1.2  2002/08/29 15:56:42  bruce
 *
 * Various changes/bug fixes for release
 *
 */

#ifndef ZEARCH_H
#define ZEARCH_H
#include "zearchbase.h"

#define ZEARCH_MAX_ITEMS 2000

class Zearch : public ZearchBase
{ 
    Q_OBJECT

public:
    Zearch( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~Zearch();
	void insert(char *str, char itype, char *iname);
	int resultcount;

private slots:
    void goodBye();
	void search();
	void clicked(QListBoxItem *item);
	void selected(int item);
private:
	int itemindex;
	char itemtype[ZEARCH_MAX_ITEMS + 1];
	QString itemname[ZEARCH_MAX_ITEMS + 1];
};

#endif // ZEARCH_H
