/*
 * $Id: zearchlist.cpp,v 1.2 2002/08/29 15:56:42 bruce Exp $
 *
 * $Log: zearchlist.cpp,v $
 * Revision 1.2  2002/08/29 15:56:42  bruce
 *
 * Various changes/bug fixes for release
 *
 */

#include "zearchlist.h"

#include <qpe/applnk.h>
#include <stdio.h>
#include <stdlib.h>
#include <qlistbox.h>
#include <qlayout.h>
#include <qlabel.h>


/* construct a zearchlist */
ZearchList::ZearchList( QWidget *parent, const char * name, WFlags fl )
	: QWidget( parent, name, fl )

{
	if( !name ) setName( "ZearchList" );
	setCaption( tr("Search Results"));
	ZearchListLayout = new QVBoxLayout(this);
	ZearchListLayout->setSpacing(6);


	ZearchResultLabel = new QLabel("<b>Results:</b>",this);
	ZearchListLayout->addWidget( ZearchResultLabel );
	ZearchListBox = new QListBox(this);
	ZearchListLayout->addWidget(ZearchListBox);
	// ZearchListBox->setFocusPolicy( QWidget::StrongFocus );
	
	// ZearchListBox->setRowMode(25);
	// ZearchListBox->insertItem( QString::fromLatin1( "Item one" ), -1 );
	// ZearchListBox->insertItem( QString::fromLatin1( "Item two" ), -1 );
	// ZearchListBox->insertItem( QString::fromLatin1( "Item three" ), -1 );
}

ZearchList::~ZearchList()
{
	delete ZearchListBox;
}

void ZearchList::insertItem(QString str, int pos)
{
	ZearchListBox->insertItem( str, pos );
}

void ZearchList::clear(void)
{
	ZearchListBox->clear();
}


